--- osmosis-db_replag.orig	2021-08-25 14:21:18.000000000 +0100
+++ osmosis-db_replag	2021-08-27 16:29:57.000000000 +0100
@@ -1,13 +1,24 @@
 #!/bin/bash
-STATE=/var/lib/mod_tile/.osmosis/state.txt
+STATE=@PREFIX@/var/lib/mod_tile/.osmosis/state.txt
 
-rep=`cat ${STATE} |\
+if [ ! -r "$STATE" ]; then
+    echo "-1 seconds"
+    exit 0
+fi
+
+if [[ "$OSTYPE" != "darwin"* ]]; then
+    rep=`cat ${STATE} |\
         grep 'timestamp' |\
         awk '{split($0, a, "="); print a[2]}' |\
         tr 'T' ' ' |\
         xargs -I{} ${BINPATH}date --utc --date "{}" +%s`
-is=`date --utc +%s`
-
+    is=`date --utc +%s`
+else
+    rep=`cat ${STATE} |\
+        awk '/timestamp=/{d = substr($1, 11, 10);t = substr($1, 22, 10); z = substr($1, 32); if (z = "Z") {z = "UTC";}; print d " " t z;}' |\
+        xargs -I{} ${BINPATH}date -ju -f "%Y-%m-%d %H:%M:%S%Z" "{}" +%s`
+    is=`date -u +%s`
+fi
 lag=$(($is - $rep))
 
 if [ "$1" = "-h" ]; then
@@ -22,4 +33,4 @@
 
   echo $lag;
 
-fi
\ No newline at end of file
+fi
